commit 8d33d5d62771be551629d0a9994adbef9991a73c
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Feb 21 16:48:55 2017 +0100

    ref #4611 Add missing string, remove unused files

diff --git a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages.properties b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages.properties
index 06b4f0314..d236b9d35 100644
--- a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages.properties
@@ -147,3 +147,6 @@ TaxonEditorInput_TAXON_NOT_IN_CLASSIFICATION=The accepted taxon is not part of a
 TaxonEditorInputFactory_COULD_NOT_CREATE=Could not create element
 TaxonEditorInputFactory_NOT_FOUND_TAXON=Couldn't find taxon node with UUID 
 UseObjectManager_RESET_DATA=Reset usage data
+
+CdmAuthorityEditor_SAVING_AUTHORITY_EDITOR=Saving CDM Authority Editor
+
diff --git a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages_de.properties
index 576564a2b..31ab10b3e 100644
--- a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/messages_de.properties
@@ -147,3 +147,5 @@ TaxonEditorInput_TAXON_NOT_IN_CLASSIFICATION=Das akzeptierte Taxon ist in keiner
 TaxonEditorInputFactory_COULD_NOT_CREATE=Element konnte nicht erstellt werden
 TaxonEditorInputFactory_NOT_FOUND_TAXON=Konnte Taxonknoten nicht finden. UUID 
 UseObjectManager_RESET_DATA=Wiederherstellen der Nutzugsdaten
+
+CdmAuthorityEditor_SAVING_AUTHORITY_EDITOR=Speichere CDM Authority Editor
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/group/authority/messages.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/group/authority/messages.properties
deleted file mode 100644
index bb106e58c..000000000
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/group/authority/messages.properties
+++ /dev/null
@@ -1 +0,0 @@
-CdmAuthorityEditor_SAVING_AUTHORITY_EDITOR=Saving CDM Authority Editor
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/messages.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/messages.properties
deleted file mode 100644
index 50a7332cb..000000000
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/messages.properties
+++ /dev/null
@@ -1,35 +0,0 @@
-ChooseFromMultipleTaxonNodesDialog_CHOOSE_CLASSIFICATION=Choose Classification
-ChooseFromMultipleTaxonNodesDialog_CHOOSE_CLASSIFICATION_MESSAGE=The taxon is part of multiple classification. Please choose the one you want to open.
-EditorStateManager_ERROR_OPEN_WINDOW=Error opening an editor window
-EditorStateManager_REFRESH_EDITOR=Refreshing Editors
-EditorStateManager_RESTORE_EDITORS=Restoring Editors
-EditorUtil_COMFIRM_SAVE=Confirm save
-EditorUtil_CONFIRM_SAVE_MESSAGE=Warning - this operation will save the editor. This will also save all other unsaved changes in your working editor to the database. Please 'Cancel' if you are not ready to do this.
-EditorUtil_ORPHAN_ACCEPTED_TAXON=Orphaned accepted taxon
-EditorUtil_ORPHAN_ACCEPTED_TAXON_MESSAGE=The accepted taxon of this synonym is not part of any classification. Editing with the name editor is currently not implemented. Try to edit the taxon with the bulk editor.
-EditorUtil_ORPHAN_TAXON=Orphaned Taxon
-EditorUtil_ORPHAN_TAXON_MESSAGE=This is an orphaned taxon i.e. a taxon that is not connected to a classification and not having any taxonomic relationships. Editing of orphaned taxa in the name editor is currently not supported. Try editing with the bulk editor
-MultiPageTaxonEditor_INVALID_INPUT=Invalid Input: Must be TaxonEditorInput
-MultiPageTaxonEditor_NEW_TAXON=New taxon
-MultiPageTaxonEditor_NO_NAME_SPECIFIED=No Name Specified
-MultiPageTaxonEditor_NO_NAME_SPECIFIED_MESSAGE=An attempt was made to save a taxon or synonym with an empty name. Operation was cancelled.
-MultiPageTaxonEditor_POST_OP_CALLED=postOperation called on MultiPageTaxonEditor. Can you make it more specific?
-MultiPageTaxonEditor_POST_OP_NOT_ENABLED=postOperation not enabled for editor 
-MultiPageTaxonEditor_REFRESH_ERROR=Error refreshing editor
-MultiPageTaxonEditor_REFRESH_ERROR_MESSAGE=Could not refresh this editor
-MultiPageTaxonEditor_SAVING_EDITOR=Saving Editor
-MultiPageTaxonEditor_SAVING_TAXON=saving a taxon
-MultiPageTaxonEditor_SAVING_TAXON_MESSAGE=\ Please close and reopen the taxon again.
-MultiPageTaxonEditor_UNSAVED_DATA=Editor has unsaved data
-MultiPageTaxonEditor_UNSAVED_DATA_MESSAGE=This editor can not be refreshed because it contains unsaved data. Refreshing this editor would discard the changes. Please save this editor, close and reopen it manually in order to get the latest content
-SimpleSelectionProvider_SETTING_SELECTION=Setting Selection
-TaxonEditorInput_INCORRECT_STATE=Incorrect state
-TaxonEditorInput_NEW_TAXON=New taxon
-TaxonEditorInput_NO_ACCEPTED_TAXON_PRESENT=Trying to open accepted taxon for a synonym or misapplication but no accepted taxa are present. This should not have happened.
-TaxonEditorInput_NOT_IMPLEMENTED=Not yet implemented
-TaxonEditorInput_NOT_IMPLEMENTED_MESSAGE=Selected element is not type TaxonBase.
-TaxonEditorInput_OPEN_MISSAPPLIED_NAME=trying to open Mispplied Name 
-TaxonEditorInput_TAXON_NOT_IN_CLASSIFICATION=The accepted taxon is not part of any classification. Editing with the name editor is currently not implemented. Try to edit the taxon with the bulk editor.
-TaxonEditorInputFactory_COULD_NOT_CREATE=Could not create element
-TaxonEditorInputFactory_NOT_FOUND_TAXON=Couldn't find taxon node with UUID 
-UseObjectManager_RESET_DATA=Reset usage data