commit 35b4c4a326bb0961fd3072f57e8c9476ea0c9a90
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Tue Jul 26 17:13:16 2016 +0200

    removing build.xml

diff --git a/app-import/build.xml b/app-import/build.xml
deleted file mode 100644
index 24d2870b..00000000
--- a/app-import/build.xml
+++ /dev/null
@@ -1,156 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-
-<project basedir="." default="build" name="app-import">
-    <property environment="env"/>
-    <property name="M2_REPO" value="../../../../.m2/repository"/>
-    <property name="debuglevel" value="source,lines,vars"/>
-    <property name="target" value="1.5"/>
-    <property name="source" value="1.5"/>
-    <property name="agentlib-option" value="-agentlib:yjpagent"/>
-
-    <path id="app-import.classpath">
-        <pathelement location="target/classes"/>
-        <pathelement location="target/test-classes"/>
-        <pathelement location="${M2_REPO}/javax/activation/activation/1.1/activation-1.1.jar"/>
-        <pathelement location="${M2_REPO}/antlr/antlr/2.7.6/antlr-2.7.6.jar"/>
-        <pathelement location="${M2_REPO}/aopalliance/aopalliance/1.0/aopalliance-1.0.jar"/>
-        <pathelement location="${M2_REPO}/org/aspectj/aspectjrt/1.6.3/aspectjrt-1.6.3.jar"/>
-        <pathelement location="${M2_REPO}/org/aspectj/aspectjweaver/1.6.3/aspectjweaver-1.6.3.jar"/>
-        <pathelement location="${M2_REPO}/org/beanshell/bsh/2.0b4/bsh-2.0b4.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-commons/2.1/cdmlib-commons-2.1.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-ext/2.1/cdmlib-ext-2.1.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-io/2.1/cdmlib-io-2.1.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-model/2.1/cdmlib-model-2.1.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-persistence/2.1/cdmlib-persistence-2.1.jar"/>
-    	<pathelement location="${M2_REPO}/eu/etaxonomy/cdmlib-services/2.1/cdmlib-services-2.1.jar"/>
-        <pathelement location="${M2_REPO}/cglib/cglib-nodep/2.1_3/cglib-nodep-2.1_3.jar"/>
-    	<pathelement location="${M2_REPO}/com/yourkit/yjp-controller-api-redist/8.0.1/yjp-controller-api-redist-8.0.1.jar"/>
-        <pathelement location="${M2_REPO}/commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar"/>
-        <pathelement location="${M2_REPO}/commons-codec/commons-codec/1.3/commons-codec-1.3.jar"/>
-        <pathelement location="${M2_REPO}/commons-collections/commons-collections/3.2/commons-collections-3.2.jar"/>
-        <pathelement location="${M2_REPO}/commons-dbcp/commons-dbcp/1.2.2/commons-dbcp-1.2.2.jar"/>
-        <pathelement location="${M2_REPO}/commons-lang/commons-lang/2.2/commons-lang-2.2.jar"/>
-        <pathelement location="${M2_REPO}/commons-logging/commons-logging/1.1/commons-logging-1.1.jar"/>
-        <pathelement location="${M2_REPO}/commons-logging/commons-logging-api/1.0.4/commons-logging-api-1.0.4.jar"/>
-        <pathelement location="${M2_REPO}/commons-pool/commons-pool/1.3/commons-pool-1.3.jar"/>
-        <pathelement location="${M2_REPO}/concurrent/concurrent/1.3.4/concurrent-1.3.4.jar"/>
-        <pathelement location="${M2_REPO}/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/ejb3-persistence/1.0.2.GA/ejb3-persistence-1.0.2.GA.jar"/>
-        <pathelement location="${M2_REPO}/freemarker/freemarker/2.3.8/freemarker-2.3.8.jar"/>
-        <pathelement location="${M2_REPO}/com/h2database/h2/1.0.73/h2-1.0.73.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-annotations/3.4.0-SNAPSHOT/hibernate-annotations-3.4.0-SNAPSHOT.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-commons-annotations/3.4.0-SNAPSHOT/hibernate-commons-annotations-3.4.0-SNAPSHOT.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-core/3.4.0-SNAPSHOT/hibernate-core-3.4.0-SNAPSHOT.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-entitymanager/3.4.0-SNAPSHOT/hibernate-entitymanager-3.4.0-SNAPSHOT.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-envers/3.4.0-SNAPSHOT/hibernate-envers-3.4.0-SNAPSHOT.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-search/3.1.0.GA/hibernate-search-3.1.0.GA.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/hibernate-tools/3.2.0.ga/hibernate-tools-3.2.0.ga.jar"/>
-        <pathelement location="${M2_REPO}/hsqldb/hsqldb/1.8.0.7/hsqldb-1.8.0.7.jar"/>
-        <pathelement location="${M2_REPO}/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.jar"/>
-        <pathelement location="${M2_REPO}/org/devlib/schmidt/imageinfo/1.7/imageinfo-1.7.jar"/>
-        <pathelement location="${M2_REPO}/javassist/javassist/3.4.GA/javassist-3.4.GA.jar"/>
-        <pathelement location="${M2_REPO}/javax/xml/bind/jaxb-api/2.1.6/jaxb-api-2.1.6.jar"/>
-        <pathelement location="${M2_REPO}/com/sun/xml/bind/jaxb-impl/2.1.6/jaxb-impl-2.1.6.jar"/>
-        <pathelement location="${M2_REPO}/com/sun/xml/bind/jaxb-xjc/2.1.6/jaxb-xjc-2.1.6.jar"/>
-        <pathelement location="${M2_REPO}/com/sun/xml/bind/jaxb1-impl/2.1.6/jaxb1-impl-2.1.6.jar"/>
-        <pathelement location="${M2_REPO}/jaxen/jaxen/1.1/jaxen-1.1.jar"/>
-        <pathelement location="${M2_REPO}/com/microsoft/sqlserver/jdbc/1.2/jdbc-1.2.jar"/>
-        <pathelement location="${M2_REPO}/jdom/jdom/1.0/jdom-1.0.jar"/>
-        <pathelement location="${M2_REPO}/javax/jms/jms/1.1/jms-1.1.jar"/>
-        <pathelement location="${M2_REPO}/com/sun/jmx/jmxri/1.2.1/jmxri-1.2.1.jar"/>
-        <pathelement location="${M2_REPO}/com/sun/jdmk/jmxtools/1.2.1/jmxtools-1.2.1.jar"/>
-        <pathelement location="${M2_REPO}/joda-time/joda-time/1.5/joda-time-1.5.jar"/>
-        <pathelement location="${M2_REPO}/joda-time/joda-time-hibernate/1.0/joda-time-hibernate-1.0.jar"/>
-        <pathelement location="${M2_REPO}/javax/xml/bind/jsr173_api/1.0/jsr173_api-1.0.jar"/>
-        <pathelement location="${M2_REPO}/javax/annotation/jsr250-api/1.0/jsr250-api-1.0.jar"/>
-        <pathelement location="${M2_REPO}/javax/transaction/jta/1.0.1B/jta-1.0.1B.jar"/>
-        <pathelement location="${M2_REPO}/net/sourceforge/jtds/jtds/1.2.2/jtds-1.2.2.jar"/>
-        <pathelement location="${M2_REPO}/org/hibernate/jtidy/r8-20060801/jtidy-r8-20060801.jar"/>
-        <pathelement location="${M2_REPO}/junit/junit/4.4/junit-4.4.jar"/>
-        <pathelement location="${M2_REPO}/jexcelapi/jxl/2.4.2/jxl-2.4.2.jar"/>
-        <pathelement location="${M2_REPO}/log4j/log4j/1.2.15/log4j-1.2.15.jar"/>
-        <pathelement location="${M2_REPO}/com/ibm/lsid/lsid-client/1.1.2/lsid-client-1.1.2.jar"/>
-        <pathelement location="${M2_REPO}/com/ibm/lsid/lsid-server/1.1.2/lsid-server-1.1.2.jar"/>
-        <pathelement location="${M2_REPO}/org/apache/lucene/lucene-core/2.4.0/lucene-core-2.4.0.jar"/>
-        <pathelement location="${M2_REPO}/org/apache/lucene/lucene-spellchecker/2.4.0/lucene-spellchecker-2.4.0.jar"/>
-        <pathelement location="${M2_REPO}/javax/mail/mail/1.4/mail-1.4.jar"/>
-        <pathelement location="${M2_REPO}/mysql/mysql-connector-java/5.0.5/mysql-connector-java-5.0.5.jar"/>
-        <pathelement location="${M2_REPO}/ognl/ognl/2.6.9/ognl-2.6.9.jar"/>
-        <pathelement location="${M2_REPO}/net/sf/opencsv/opencsv/1.8/opencsv-1.8.jar"/>
-        <pathelement location="${M2_REPO}/org/eclipse/osgi/3.2.1-R32x_v20060919/osgi-3.2.1-R32x_v20060919.jar"/>
-        <pathelement location="${M2_REPO}/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar"/>
-        <pathelement location="${M2_REPO}/org/apache/poi/poi/3.1-FINAL/poi-3.1-FINAL.jar"/>
-        <pathelement location="${M2_REPO}/postgresql/postgresql/8.2-504.jdbc4/postgresql-8.2-504.jdbc4.jar"/>
-        <pathelement location="${M2_REPO}/org/apache/sanselan/sanselan/0.94-incubator/sanselan-0.94-incubator.jar"/>
-        <pathelement location="${M2_REPO}/org/slf4j/slf4j-api/1.5.2/slf4j-api-1.5.2.jar"/>
-        <pathelement location="${M2_REPO}/org/slf4j/slf4j-log4j12/1.5.2/slf4j-log4j12-1.5.2.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring/2.5.6/spring-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-aop/2.5.6/spring-aop-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-aspects/2.5.6/spring-aspects-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-beans/2.5.6/spring-beans-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-context/2.5.6/spring-context-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-core/2.5.6/spring-core-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-jdbc/2.5.6/spring-jdbc-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springmodules/spring-modules-lucene/0.8a/spring-modules-lucene-0.8a.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-orm/2.5.6/spring-orm-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/security/spring-security-core/2.0.4/spring-security-core-2.0.4.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-support/2.0.8/spring-support-2.0.8.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-test/2.5.6/spring-test-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/springframework/spring-tx/2.5.6/spring-tx-2.5.6.jar"/>
-        <pathelement location="${M2_REPO}/org/unitils/unitils/1.0/unitils-1.0.jar"/>
-        <pathelement location="${M2_REPO}/wsdl4j/wsdl4j/1.6.1/wsdl4j-1.6.1.jar"/>
-        <pathelement location="${M2_REPO}/xalan/xalan/2.6.0/xalan-2.6.0.jar"/>
-        <pathelement location="${M2_REPO}/xerces/xercesImpl/2.7.1/xercesImpl-2.7.1.jar"/>
-        <pathelement location="${M2_REPO}/xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.jar"/>
-        <pathelement location="${M2_REPO}/xml-resolver/xml-resolver/1.2/xml-resolver-1.2.jar"/>
-        <pathelement location="${M2_REPO}/xerces/xmlParserAPIs/2.6.2/xmlParserAPIs-2.6.2.jar"/>
-        <pathelement location="${M2_REPO}/xom/xom/1.0/xom-1.0.jar"/>
-    </path>
-  
-    <target  name="build"/>
- 
-    <target name="CichorieaeActivator">
-        <java classname="eu.etaxonomy.cdm.app.wp6.cichorieae.CichorieaeActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="CichorieaeDistributionActivator">
-        <java classname="eu.etaxonomy.cdm.app.excelImport.distribution.CichorieaeDistributionActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M"/>
-            <arg line="-Dlog4j.configuration=file:///src/main/resources/log4j.properties&#13;&#10;-Dlog4j.configuration=file:///&lt;path to your personal&gt;/log4j.properties&#13;&#10;-Dlog4j.configuration=file:///&lt;path to your personal&gt;/log4j.properties&#13;&#10;-Dlog4j.configuration=file:///&lt;path to your personal&gt;/log4j.properties"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="CichorieaeImageActivator">
-        <java classname="eu.etaxonomy.cdm.app.wp6.cichorieae.CichorieaeImageActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="DipteraActivator">
-        <java classname="eu.etaxonomy.cdm.app.wp6.diptera.DipteraActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M ${agentlib-option}"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="FaunaEuropaeaActivator">
-        <java classname="eu.etaxonomy.cdm.app.faunaEuropaea.FaunaEuropaeaActivator" failonerror="true" fork="yes">
-            <!-- <jvmarg line="-Xmx10000M -XX:+PrintGC ${agentlib-option}"/> -->
-	    <jvmarg line="-Xmx1000M ${agentlib-option}"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="SalvadorActivator">
-        <java classname="eu.etaxonomy.cdm.app.berlinModelImport.SalvadorActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-    <target name="TaraxacumActivator">
-        <java classname="eu.etaxonomy.cdm.app.wp6.cichorieae.TaraxacumActivator" failonerror="true" fork="yes">
-            <jvmarg line="-Xmx1512M"/>
-            <classpath refid="app-import.classpath"/>
-        </java>
-    </target>
-</project>